/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/std/defines.hpp>

#include "vec.hpp"

namespace nostalgia::geo {

static_assert([] {
	Vec2 v(1, 2);
	return v.x == 1 && v.y == 2 && v[0] == 1 && v[1] == 2 && v.size() == 2;
}());

}
